groovy.model

## Interface ValueModel

- All Known Implementing Classes:
    ClosureModel, PropertyModel, ValueHolder

      public interface ValueModel

  Represents a model of a value

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class` | `getType()`
    `java.lang.Object` | `getValue()`
    `boolean` | `isEditable()`
    `void` | `setValue(java.lang.Object value)`

- - ### Method Detail

    - #### getValue

          java.lang.Object getValue()

    - #### setValue

          void setValue(java.lang.Object value)

    - #### getType

          java.lang.Class getType()

    - #### isEditable

          boolean isEditable()